Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteCatalogInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCatalogInfo

extends java.rmi.Remote

Interface `RemoteCatalogInfo` contains the information of a catalog on server.

Since:
  version 8

Method Summary
`boolean` | `canCreateReport()` Tests whether the resource path maps can create page reports.
`boolean` | `canCreateStudioReport()` Tests whether the resource path maps can create web reports.
`java.util.List<FieldInfo>` | `getAllAliasFieldsByDataSource(java.lang.String datasource)` Gets all alias mapping fields by the specified data source name.
`java.util.List<java.lang.String>` | `getAllBVResourceByDataSource(java.lang.String datasource)` Gets all BV node resource names by the specified data source name.
`java.lang.String[]` | `getAllDataSource()` Returns all of the data sources defined in the catalog.
`java.util.Vector[]` | `getAllQueriesByDataSource(java.lang.String dataSrcName)` Returns the connection and all of the queries of all types and parameters defined in the data source.
`java.util.List<java.lang.String>` | `getAllRCResourceByDataSource(java.lang.String datasource)` Gets all RC node resource names by the specified data source name.
`java.util.List<BusinessViewInfo>` | `getBusinessViewsInDataSource(java.lang.String datasourceName)` Get all business views in specified datasource which is represented in `BusinessViewInfo`
`java.util.Vector<RemoteCatConnectionInfo>` | `getCatConnectionInfos()` Returns DB connection info of the catalog.
`RemoteParameterManager` | `getParameterManager(java.lang.String dataSrcName, java.lang.String[] queryNames)` Returns RemoteParameterManager which provides methods to get parameter information for all parameters used by the specified queries.
`java.util.List<ParameterInfo>` | `getParametersInDataSource(java.lang.String datasourceName)` Get all paramters in specified datasource which is represented in `ParamterInfo`
`java.util.List<QueryInfo>` | `getQueriesInDataSource(java.lang.String datasourceName)` Get all queries in specified datasource which is represented in `QueryInfo`

Method Detail

### getCatConnectionInfos

    java.util.Vector<RemoteCatConnectionInfo> getCatConnectionInfos()
                                                                    throws java.rmi.RemoteException

  Returns DB connection info of the catalog.

  Returns:
    DB connection info of the catalog. The Vector contains CatConnectionInfo objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `CatConnectionInfo`

### getAllDataSource

    java.lang.String[] getAllDataSource()
                                        throws java.rmi.RemoteException

  Returns all of the data sources defined in the catalog.

  Returns:
    data source info of the catalog. The String[] contains all of the data source names in the catalog .
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### canCreateReport

    boolean canCreateReport()
                            throws java.rmi.RemoteException

  Tests whether the resource path maps can create page reports.

  Returns:
    whether the resource path maps can create page reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### canCreateStudioReport

    boolean canCreateStudioReport()
                                  throws java.rmi.RemoteException

  Tests whether the resource path maps can create web reports.

  Returns:
    whether the resource path maps can create web reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAllQueriesByDataSource

    java.util.Vector[] getAllQueriesByDataSource(java.lang.String dataSrcName)
                                                 throws java.rmi.RemoteException

  Returns the connection and all of the queries of all types and parameters defined in the data source.

  Parameters:
    `dataSrcName` - The data source name.
  Returns:
    Vector array which contains all of queries. Vector[0]: Connection
    Vector[1]: Imported SQLs
    Vector[2]: Stored Procedures
    Vector[3]: User Defined
    Vector[4]: Hierarchical
    Vector[5]: JReport Queries
    Vector[6]: Parameters
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    V10

### getQueriesInDataSource

    java.util.List<QueryInfo> getQueriesInDataSource(java.lang.String datasourceName)
                                                     throws RptServerException,
                                                            java.rmi.RemoteException

  Get all queries in specified datasource which is represented in `QueryInfo`

  Parameters:
    `datasourceName` - the data source name
  Returns:
    all queries in specified datasource
  Throws:
    `RptServerException` - if an RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 12

### getBusinessViewsInDataSource

    java.util.List<BusinessViewInfo> getBusinessViewsInDataSource(java.lang.String datasourceName)
                                                                  throws RptServerException,
                                                                         java.rmi.RemoteException

  Get all business views in specified datasource which is represented in `BusinessViewInfo`

  Parameters:
    `datasourceName` - the data source name
  Returns:
    all business views in specified datasource
  Throws:
    `RptServerException` - if an RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 13.5

### getParametersInDataSource

    java.util.List<ParameterInfo> getParametersInDataSource(java.lang.String datasourceName)
                                                            throws RptServerException,
                                                                   java.rmi.RemoteException

  Get all paramters in specified datasource which is represented in `ParamterInfo`

  Parameters:
    `datasourceName` - the data source name
  Returns:
    all parameters in specified datasource
  Throws:
    `RptServerException` - if an RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 13.1

### getParameterManager

    RemoteParameterManager getParameterManager(java.lang.String dataSrcName,
                                               java.lang.String[] queryNames)
                                               throws java.rmi.RemoteException

  Returns RemoteParameterManager which provides methods to get parameter information for all parameters used by the specified queries.

  Parameters:
    `dataSrcName` - The data source name.
    `queryNames` - The query names.
  Returns:
    ParameterManager
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    V10
  See Also:
    `RemoteParameterManager`

### getAllBVResourceByDataSource

    java.util.List<java.lang.String> getAllBVResourceByDataSource(java.lang.String datasource)
                                                                  throws RptServerException,
                                                                         java.rmi.RemoteException

  Gets all BV node resource names by the specified data source name.

  Parameters:
    `datasource` - Data source name.
  Returns:
    BV node resource names.
  Throws:
    `RptServerException` - If RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `V10`

### getAllRCResourceByDataSource

    java.util.List<java.lang.String> getAllRCResourceByDataSource(java.lang.String datasource)
                                                                  throws RptServerException,
                                                                         java.rmi.RemoteException

  Gets all RC node resource names by the specified data source name.

  Parameters:
    `datasource` - Data source name.
  Returns:
    RC node resource names.
  Throws:
    `RptServerException` - If RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    V10

### getAllAliasFieldsByDataSource

    java.util.List<FieldInfo> getAllAliasFieldsByDataSource(java.lang.String datasource)
                                                            throws RptServerException,
                                                                   java.rmi.RemoteException

  Gets all alias mapping fields by the specified data source name.

  Parameters:
    `datasource` - Data source name.
  Returns:
    a `List` object that includes a list of `FieldInfo`.
  Throws:
    `RptServerException` - If RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    V10.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD